about summary refs log tree commit diff
path: root/test/ppmhist.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/ppmhist.test')
-rwxr-xr-xtest/ppmhist.test15
1 files changed, 11 insertions, 4 deletions
diff --git a/test/ppmhist.test b/test/ppmhist.test
index c17bab5a..1983bd13 100755
--- a/test/ppmhist.test
+++ b/test/ppmhist.test
@@ -25,14 +25,21 @@ ppmpat -madras --color=rgb:00/00/00,rgb:31/58/a3,rgb:e9/5e/d4 25 25 | \
 ppmpat -madras --color=rgb:00/00/00,rgb:31/58/a3,rgb:ff/ff/ff 25 25 | \
   ppmhist | head -n1
 
-echo "Test 3"
+echo "Test Invalid"
+
+tmpdir=${tmpdir:-/tmp}
+test_out=${tmpdir}/test_out
 
 echo 1>&2
 echo "Invalid command-line argument combinations." 1>&2
 echo "Error messages should appear below the line." 1>&2
 echo "-----------------------------------------------------------" 1>&2
 
-ppmhist -hexcolor -float testimg.ppm || echo "Expected failure 1"
-ppmhist -hexcolor -map   testimg.ppm || echo "Expected failure 2"
-ppmhist -float    -map   testimg.ppm || echo "Expected failure 3"
+ppmhist -hexcolor -float testimg.ppm > ${test_out} || \
+   echo -n "Expected failure 1"; test -s ${test_out}; echo " "$?
+ppmhist -hexcolor -map   testimg.ppm > ${test_out} || \
+   echo -n "Expected failure 2"; test -s ${test_out}; echo " "$?
+ppmhist -float    -map   testimg.ppm > ${test_out} || \
+   echo -n "Expected failure 3"; test -s ${test_out}; echo " "$?
 
+rm ${test_out}